Subject: Re: [rtcweb] revisiting MTI
From: Peter Saint-Andre - &yet <[email-masked]>
To: Ted Hardie <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 15 Dec 2014 15:18:10 -0700
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

On 12/15/14, 3:03 PM, Ted Hardie wrote:
> On Mon, Dec 15, 2014 at 1:37 PM, Peter Saint-Andre - &yet
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Not as far as I can see.
>
>     Ten years ago if we'd had this discussion, H.261 might have been
>     MTI. Ten years from now, H.264 will seem ancient, too.
>
>     I fully expect that someone in the IETF (perhaps not us) will
>     revisit the MTI decision once we have better alternatives.
>
>     Peter
>
>
> ​The nice thing is that our current model allows us to have nice things
> right away; as soon as they are in common, they may be selected by
> negotiation.  What the MTI gives us is a way to avoid interoperability
> failure.  So the key question isn't really "Is there something better?"
> but "Is the current MTI so bad that folks aren't willing to use it, so
> we are once again at risk of interoperability failure?".

Some folks have expressed a concern that whatever we choose as an MTI 
codec now must always be an MTI codec. I'm trying to allay that concern 
by saying that yes, indeed, we can change our MTI codec(s) in the future 
if we please (naturally, keeping interoperability in mind at that future 
time).

Peter